# Copyright (C) 2024 Manuel Bustillo

# frozen_string_literal: true

require 'swagger_helper'

RSpec.describe 'users/confirmations' do
  path '/{slug}/users/confirmation' do
    get('confirm user email') do
      tags 'Users'
      produces 'application/json'

      parameter Swagger::Schema::SLUG
      parameter name: :confirmation_token, in: :query, type: :string, required: true

      response(200, 'confirmed') do
        schema Swagger::Schema::USER
        xit
      end

      response422
    end
  end
end
